uefiextract(1)

NAME
uefiextract - UEFI image file parsing utility

SYNOPSIS
uefiextract imagefile

uefiextract imagefile {all|unpack|dump|report}

uefiextract imagefile GUID_1... [-o FILE_1...] [-m MODE_1...] [-t TYPE_1...]

DESCRIPTION
UEFITool is a cross-platform C++/Qt program for parsing, extracting and modifying UEFI firmware images. It supports parsing of full BIOS images starting with the flash descriptor or any binary files containing UEFI volumes.

uefiextract uses ffsParser to parse supplied firmware image into a tree structure and dumps the parsed structure recursively on the FS.

COMMAND SYNTAX

<no command>
    Generate report and dump only leaf tree items into .dump folder.

all Fenerate report and dump all tree items.

unpack
    Fenerate report and dump all tree items in one dir.

dump
    Only generate dump, no report needed.

report
    Only generate report, no dump needed.

GUID_1...
    Dump only FFS file(s) with specific GUID(s), without report.

    TYPE is section type or FF to ignore. MODE is one of: all, body, header, info, file.

    Return value is a bit mask where 0 at position N means that file with GUID_N was found and unpacked, 1 otherwise.

AUTHOR
UEFITool is written by Nikolaj Schlej aka CodeRush.

This manual page was written by Yangfl (mmyangfl@gmail.com) for the Debian Project (and may be used by others).